package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * All available ports need to be configured. The list of port ID is the same as that returned by \&quot;Get IPTV setting\&quot;
 */
@ApiModel(description = "All available ports need to be configured. The list of port ID is the same as that returned by \"Get IPTV setting\"")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class IptvPortConfigOpenApiVo   {
  @JsonProperty("portId")
  private String portId;

  @JsonProperty("type")
  private Integer type;

  public IptvPortConfigOpenApiVo portId(String portId) {
    this.portId = portId;
    return this;
  }

  /**
   * Port ID can be obtained from 'Get internet basic info' interface.
   * @return portId
  */
  @ApiModelProperty(required = true, value = "Port ID can be obtained from 'Get internet basic info' interface.")
  @NotNull


  public String getPortId() {
    return portId;
  }

  public void setPortId(String portId) {
    this.portId = portId;
  }

  public IptvPortConfigOpenApiVo type(Integer type) {
    this.type = type;
    return this;
  }

  /**
   * Type should be a value as follows: 1: Internet; 2:IPTV; 3:IP-Phone, 3 is valid only IPTV mode is custom.
   * @return type
  */
  @ApiModelProperty(required = true, value = "Type should be a value as follows: 1: Internet; 2:IPTV; 3:IP-Phone, 3 is valid only IPTV mode is custom.")
  @NotNull


  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IptvPortConfigOpenApiVo iptvPortConfigOpenApiVo = (IptvPortConfigOpenApiVo) o;
    return Objects.equals(this.portId, iptvPortConfigOpenApiVo.portId) &&
        Objects.equals(this.type, iptvPortConfigOpenApiVo.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portId, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IptvPortConfigOpenApiVo {\n");
    
    sb.append("    portId: ").append(toIndentedString(portId)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

